tiers:
    - name: llvm
      dirs:
        - llvm
    - name: lldb
      dirs:
        - lldb
    - name: mesa
      dirs:
        - mesalib
    - name: qt-tools
      dirs:
        - qt5-tools
        - qt6-tools
    - name: IDEs
      dirs:
        - qt-creator
        - kdevelop
        - gnome-builder
    - name: Compilers using LLVM
      dirs:
        - ispc
        - rust # remember to rebootstrap
        - ldc # remember to rebootstrap
    - name: spirv-llvm-translator 
      dirs:
        - spirv-llvm-translator
    - name: Intel-related projects
      dirs:
        - opencl-clang
        - vc-intrinsics
    - name: intel-graphics-compiler
      dirs:
        - intel-graphics-compiler
    - name: misc
      dirs:
        # We are using pre-built LLVM libraries, so a rebuild is not necessary.
        # Things may change if someday we introduce llvm-14 into the repo.
        # - python-llvmlite
        - dolphin-emu
        - openshadinglanguage
